<?php

if(!defined('IN_FUSION')) { die; }

include INFUSIONS.'magazines_panel/infusion_db.php';

if (file_exists(INFUSIONS.'magazines_panel/locale/'.$settings['locale'].'.php')) {
	include INFUSIONS.'magazines_panel/locale/'.$settings['locale'].'.php';
} else {
	include INFUSIONS.'magazines_panel/locale/English.php';
}


// Infusion Information
$inf_folder			= 'magazines_panel';
$inf_title			= $locale['M100'];
$inf_description	= $locale['M110'];
$inf_version		= '0.0.1';
$inf_developer		= 'Piotr Lenart';
$inf_email			= 'piotr@maryjni.pl';
$inf_weburl			= 'http://maryjni.pl';

/* TABLE STUFF */
$inf_newtable[1] = DB_PRESS." (
	press_id MEDIUMINT(8) UNSIGNED NOT NULL AUTO_INCREMENT,
	press_weblink MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
	press_image VARCHAR(100) NOT NULL DEFAULT '',
	press_toc TEXT NOT NULL,
	press_sql VARCHAR(255) NOT NULL DEFAULT '',
	PRIMARY KEY (press_id)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;";

$inf_insertdbrow[1] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('weblink_id_press', '1', '".$inf_folder."')";

$inf_droptable[1] = DB_PRESS;

$inf_deldbrow[1] = DB_SETTINGS_INF." WHERE settings_inf='".$inf_folder."'";

$inf_adminpanel[1] = array(
	'title' => $locale['M100'],
	'image' => 'press.gif',
	'panel' => 'magazines_admin.php',
	'rights' => 'PRS'
);

$inf_admin_image = 'press.gif';
$inf_admin_panel = 'magazines_admin.php';

?>
