<?php

require_once '../../maincore.php';
require_once THEMES.'templates/admin_header_mce.php';

include_once INFUSIONS.'magazines_panel/infusion_db.php';
include_once INCLUDES.'infusions_include.php';

if (!checkrights('PRS') || !defined('iAUTH') || $_GET['aid'] != iAUTH) { redirect('../../index.php');}

?><script language='javascript' type='text/javascript'>advanced();</script><?php

if (file_exists(PRESS_PANEL.'locale/'.$settings['locale'].'.php')) {
	include PRESS_PANEL.'locale/'.$settings['locale'].'.php';
} else {
	include PRESS_PANEL.'locale/English.php';
}

// katalog weblinks, w ktorym sa tytuly czasopism
$press_settings = get_settings('magazines_panel');

if (isset($_GET['action']) && $_GET['action'] == 'update') include PRESS_PANEL.'magazines_update.php';

if (isset($_GET['status'])) {
	if ($_GET['status'] ==     'add')  $message = $locale['M414'];
	elseif ($_GET['status'] == 'edit') $message = $locale['M415'];
	elseif ($_GET['status'] == 'del')  $message = $locale['M420'];

	?><div id="close-message"><div class="admin-message"><?php echo $message;?></div></div><?php
}

if (isset($_POST['save'])) {
	$error = '';
	$weblink = $_POST['press_weblink'];
	$image = (isset($_POST['press_image']) ? $_POST['press_image'] : '');
	$toc = isset($_POST['press_toc']) ? $_POST['press_toc'] : '';
	$sql = (isset($_POST['press_sql']) ? $_POST['press_sql'] : '');
	$editsql = ($sql == 'edit' ? "" : ", press_sql='".$sql."'");

	if (isset($_POST['press_id']) && isnum($_POST['press_id'])) {
		$result = dbquery("UPDATE ".DB_PRESS." SET press_weblink='".$weblink."', press_image='".$image."', press_toc='".$toc."'".$editsql." WHERE press_id='".$_POST['press_id']."'");
			redirect(FUSION_SELF.$aidlink.'&status=edit');
	} else {
		$result = dbquery("INSERT INTO ".DB_PRESS." (press_weblink, press_image, press_toc, press_sql) VALUES('".$weblink."', '".$image."', '".$toc."', '".$sql."')");
		redirect(FUSION_SELF.$aidlink.'&status=add');
	}

} elseif ((isset($_GET['action']) && $_GET['action'] == 'delete') && (isset($_GET['press_id']) && isnum($_GET['press_id']))) {
	$result = dbquery("DELETE FROM ".DB_PRESS." WHERE press_id='".$_GET['press_id']."'");
		redirect(FUSION_SELF.$aidlink.'&status=del');

} else {

	// EDYCJA
	if ((isset($_GET['action']) && $_GET['action'] == 'edit') && (isset($_POST['press_id']) && isnum($_POST['press_id'])) || (isset($_GET['press_id']) && isnum($_GET['press_id']))) {
		$result = dbquery("SELECT tp.*, tw.weblink_url FROM ".DB_PRESS." tp INNER JOIN ".DB_WEBLINKS." tw ON tp.press_weblink=tw.weblink_id WHERE press_id='".(isset($_POST['press_id']) ? $_POST['press_id'] : $_GET['press_id'])."'");
		if (dbrows($result)) {
			$data = dbarray($result);
			$press_id = $data['press_id'];
			$press_weblink = $data['press_weblink'];
			$press_url = $data['weblink_url'];
			$press_image = $data['press_image'];
			$press_sql = 'edit';
			$press_toc = phpentities(stripslashes($data['press_toc']));
		} else {
			redirect(FUSION_SELF.$aidlink);
		}
	}

	// EDYTUJ/DODAJ
	if ((isset($_GET['action']) && $_GET['action'] == 'edit') && (isset($_GET['press_id']) && isnum($_GET['press_id']))) {
		opentable($locale['M411']);
	} else {
		$press_weblink = '';
		$press_image = '';
		$press_sql = '';
		$press_toc = '';

		opentable($locale['M412']);
	}
	?><form name="inputform" method="post" action="<?php echo FUSION_SELF.$aidlink;?>" enctype="multipart/form-data">

	<p><?php
	$result = dbquery("SELECT weblink_id, weblink_name, weblink_url FROM ".DB_WEBLINKS." WHERE weblink_cat='".$press_settings['weblink_id_press']."' ORDER BY weblink_name");
	if (dbrows($result)) {
		$checked = '';
		?><fieldset style="height:auto;width:650px"><legend><?php echo $locale['M413'];?></legend><?php
		while ($data = dbarray($result)) {
		$checked = ($press_weblink == $data['weblink_id'] ? ' checked="checked"' : '');
			?><div><input type="radio" id="<?php echo $data['weblink_id']?>" name="press_weblink" value="<?php echo $data['weblink_id']?>" class="textbox"<?php echo $checked?> />
			<label for="<?php echo $data['weblink_id'];?>"><?php echo $data['weblink_name'];?></label></div><?php
		}
		?></fieldset><br /><?php
	}
	if ($press_image != '') {
		?><label><img src="<?php echo $press_url.$press_image;?>" alt="<?php echo $press_image?>" /><br />
		<input type="checkbox" name="del_image" value="y" /> <?php echo $locale['M202'];?></label>
		<input type="text" name="press_image" class="textbox" value="<?php echo $press_image;?>" style="width:250px" /><?php
	} else {
		?><label for="press_image"><?php echo $locale['M439'];?></label>
		<input type="text" name="press_image" class="textbox" style="width:250px" /><br />
		<?php echo $locale['M440'];
	}
	?></p>
	<p><label for="press_sql"><?php echo $locale['M432'];?></label>
	<input type="text" id="press_sql" name="press_sql" class="textbox" value="<?php echo $press_sql;?>" style="width:450px" /><br /><?php echo $locale['M433']?></p>
	<p><label for="press_toc"><?php echo $locale['M430'];?></label>
	<textarea id="press_toc" name="press_toc" class="textbox" cols="60" rows="25"><?php echo $press_toc;?></textarea></p>

	<?php if ((isset($_GET['action']) && $_GET['action'] == 'edit') && (isset($_GET['press_id']) && isnum($_GET['press_id']))) {
		?><input type="hidden" name="press_id" value="<?php echo $_GET['press_id'];?>" /><?php
	}
	?><p><label>&nbsp;</label>
	<input type="submit" name="save" value="<?php echo $locale['M200'];?>" class="button" /></p>
	</form>
	<?php closetable();

	// ISTNIEJACE WPISY
	opentable($locale['M400']);?>
	<div class="tbl-border center"><?php
	$result = dbquery("SELECT tp.press_id, tw.weblink_name FROM ".DB_PRESS." tp INNER JOIN ".DB_WEBLINKS." tw ON tp.press_weblink=tw.weblink_id ORDER BY weblink_name");
	if (dbrows($result) != 0) { ?>
		<div class="tbl2" style="float:left;width:77.65%"><?php echo $locale['M401'];?></div>
		<div class="tbl2" style="float:left;width:19%;text-align:center"><?php echo $locale['M403'];?></div>
		<div style="clear:both"></div>
		<?php while ($data = dbarray($result)) { ?>
			<div class="tbl1" style="float:left;width:77.65%"><?php echo $data['weblink_name']?></div>
			<div class="tbl1" style="float:left;width:19%;text-align:center"><a href="<?php echo FUSION_SELF.$aidlink?>&amp;action=edit&amp;press_id=<?php echo $data['press_id']?>"><?php echo $locale['M201'];?></a> - <a href="<?php echo FUSION_SELF.$aidlink;?>&amp;action=delete&amp;press_id=<?php echo $data['press_id']?>" onclick="return DeleteDir();"><?php echo $locale['M202']?></a></div>
			<div class="clear"></div>
			<?php
		}
		if ( file_exists(PRESS_PANEL.'magazines_update.php') ) ?><div class="tbl"><a href="<?php echo FUSION_SELF.$aidlink?>&amp;action=update"><?php echo $locale['M453']?></a></div><?php
	} else { ?>
		<div class="tbl1"><?php echo $locale['M115'];?></div><?php
	}?>
	</div><?php
	closetable();

} ?>
<script language="JavaScript">
function DeleteDir() {
	return confirm("<?php echo $locale['M451'];?>");
}
</script>

<?php require_once THEMES.'templates/footer.php';?>