<?php
if (!defined('IN_FUSION')) { die('Access Denied'); }

include_once INFUSIONS.'magazines_panel/infusion_db.php';
include_once INCLUDES.'infusions_include.php';

if (file_exists(PRESS_PANEL.'locale/'.$settings['locale'].'.php')) {
	include PRESS_PANEL.'locale/'.$settings['locale'].'.php';
} else {
	include PRESS_PANEL.'locale/English.php';
}

$press_settings = get_settings('magazines_panel');

openside($locale['M100']);
$result = dbquery(
		"SELECT tp.press_id, tp.press_image, tp.press_toc,
				tw.weblink_id, tw.weblink_name, tw.weblink_url 
			FROM ".DB_PRESS." tp
			INNER JOIN ".DB_WEBLINKS." tw ON tp.press_weblink=tw.weblink_id
			ORDER BY weblink_id LIMIT 0,5");
if (dbrows($result)) {
	while($data = dbarray($result)) {
		$press_title = trimlink($data['weblink_name'], 30);
		?><div class="press">
			<?php echo THEME_BULLET?> <a href="<?php FUSION_SELF.'?cat_id='.$data['weblink_id'])?>" title="<?php echo $data['weblink_name']?>" target="_blank" class="side"><img src="<?php echo $data['weblink_url'].$data['press_image']?>" style="float:left;margin-right:5px;width:140px" alt="<?php echo $data['weblink_name'];?>" /></a>
			<span class="press_title"><strong><?php echo $data['weblink_name']?></strong></span><br />
			<span class="press_text"><?php echo $data['press_toc']?></span>
			<div class="clear"></div>
		</div><?php
	}
} else {
	?><div style="text-align:center"><?php echo $locale['M115']?></div><?php
}
closeside();
?>